/*
COLORS:

Light green: #7ed56f
Medium green: #55c57a
Dark green: #28b485

*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Lato", sans-serif;
    font-weight: 400; /*No lleva unidades, es la cantidad de negrita*/
    font-size: 16px;
    line-height: 1.7;
    color: #777;
    padding: 30px;
}

.header {
    height: 95vh; 
    background-image: linear-gradient(to right bottom, rgba(126, 213, 111, 0.8), rgba(40, 180, 133, 0.8)), url('../img/hero.jpg');;
    background-size: cover;
    background-position: top; /*Ensures the image will always be cropped keeping the top visible*/
    clip-path: polygon(0 0, 100% 0, 100% 75vh, 0 100%);
    position: relative;
}

.logo-box{
    position: absolute;
    top: 40px;
    left: 40px;
}

.logo {
    height: 35px;
}

.text-box{
    position: absolute;
    top: 50%; /*Se refieren al padre*/
    left: 50%;
    transform: translate(-50%, -50%); /*Se refiere sobre si mismo sobre su propio width y heigth. Desplazame un 50% de mi ancho*/
}

.heading-primary{
    color: #fff;
    text-transform: uppercase;
}

.heading-primary-main{
    display: block;
    font-size: 60px;
    font-weight: 700;
    letter-spacing: 35px;
    animation: moveInLeft 1s ease-out;
    /*animation-duration: 1s;
    animation-timing-function: ease-out;*/
}

.heading-primary-sub{
    display: block;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 17.4px;
    animation: moveInRight 1s ease-out;
    /*animation-duration: 1s;
    animation-timing-function: ease-out;*/
    /*animation-timing-function: cubic-bezier(1,1.81,.9,.49);*/
}

.btn:link, /*Estado por defecto*/
.btn:visited{
    text-transform: uppercase;
    text-decoration: none;
    padding: 15px 40px;
}

.btn-white{
    background-color: #fff;
    color: #777;
}

@keyframes moveInLeft {
    0% {
        opacity: 0;
        transform: translateX(-100px);
    }

    80%{
        transform: translateX(10px);;
    }

    100% {
        opacity: 1;
        transform: translate(0);
    }
}

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }

    80%{
        transform: translateX(-10px);;
    }

    100% {
        opacity: 1;
        transform: translate(0);
    }
}